Summary:	User-space programs for Dell Inspiron and Latitude laptops
Summary(pl.UTF-8):	Programy przestrzeni użytkownika dla laptopów Dell Inspiron i Latitude
Name:		i8kutils
Version:	1.42
Release:	1
License:	GPL
Group:		Applications/System
Source0:	https://launchpad.net/i8kutils/trunk/%{version}/+download/%{name}_%{version}.tar.xz
# Source0-md5:	7470b2908b39a41e3f26b8b3398e189d
Patch0:		%{name}-build.patch
Source1:	%{name}.init
Source2:	i8kbuttons.aumix
Source3:	i8kbuttons.conf
URL:		https://launchpad.net/i8kutils
Requires:	aumix
Requires:	tcl
Requires:	tk
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a user-space programs for accessing the SMM BIOS
of Dell Inspiron and Latitude laptops. The SMM BIOS is used on many
recent laptops to implement APM functionalities and to access custom
hardware, for example the cooling fans and volume buttons.

%description -l pl.UTF-8
Ten pakiet zawiera programy działające w przestrzeni użytkownika
służące do dostępu do SMM BIOS-u laptopów Dell Inspiron i Latitude.
SMM BIOS w nowych laptopach służy do implementowania funkcjonalności
APM i dostępu do specyficznego sprzętu, na przykład wiatraczków
chłodzących i przycisków głośności.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d $RPM_BUILD_ROOT%{_mandir}/man1

cp -p i8kmon.conf $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}
cp -p i8kctl.1 i8kmon.1 $RPM_BUILD_ROOT%{_mandir}/man1

cp -p i8kctl i8kfan i8kmon probe_i8k_calls_time \
	$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo
echo "Now modprobe i8k module."
echo
echo "Since than you'll be able to control fans and buttons."
echo

%files
%defattr(644,root,root,755)
%doc README.i8kutils TODO
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/i8kbuttons.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/i8kmon.conf
%attr(754,root,root) /etc/rc.d/init.d/i8kutils
%attr(755,root,root) %{_bindir}/i8kbuttons.aumix
%attr(755,root,root) %{_bindir}/i8kctl
%attr(755,root,root) %{_bindir}/i8kfan
%attr(755,root,root) %{_bindir}/i8kmon
%attr(755,root,root) %{_bindir}/probe_i8k_calls_time
%{_mandir}/man1/i8kctl.1*
%{_mandir}/man1/i8kmon.1*

%changelog
* Sat Dec 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/i8kutils.git;a=log;h=master

* Tue Nov 22 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ab196c
- tools need to be in bindir

* Tue Nov 22 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> cc13fba
- up to 1.42

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5a37aa0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c83694c
- converted to UTF-8

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> 022c738
- adapterized (sorted %verify attrs)

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> 2cd173e
- killed trailing spaces/tabs

* Mon Dec 27 2004 havner <havner@pld-linux.org> 163b47b
- EA for x86, afair dell doesn't make other laptops

* Mon Dec 27 2004 havner <havner@pld-linux.org> e34f700
- rel 1

* Thu Dec 23 2004 havner <havner@pld-linux.org> 08c7835
- rel 0.4

* Thu Dec 23 2004 havner <havner@pld-linux.org> 90098f3
- s/bash/sh
- fixed path to kbdrate and executable detection

* Fri Dec 17 2004 havner <havner@pld-linux.org> 183ee8c
- rel 0.3

* Fri Dec 17 2004 havner <havner@pld-linux.org> a1ca650
- redirection fix

* Thu Oct 07 2004 Jakub Bogusz <qboosh@pld-linux.org> 89b0c65
- optflags, removed COPYING from doc (just GPL)

* Fri Sep 24 2004 ankry <ankry@pld-linux.org> c286024
- cosmetics

* Fri Sep 24 2004 pawelb <pawelb@pld-linux.org> dc0d6d9
- added BR

* Fri Sep 17 2004 Jakub Bogusz <qboosh@pld-linux.org> 2b9c666
- moved md5 to standard place, killed invalid sysconfdir usage

* Fri Sep 17 2004 averne <averne@pld-linux.org> ea9c5fb
- some fixes

* Fri Sep 17 2004 averne <averne@pld-linux.org> 94170c8
- added new init-script
- added i8kbuttons.conf
- cleanups
- works fine

* Fri Sep 17 2004 averne <averne@pld-linux.org> 8b1bcc4
- mv i8kutils i8kutils.init

* Fri Sep 17 2004 averne <averne@pld-linux.org> c92ad68
- initial release

